Process labels in bulk and receive a large number of labels and customs forms in bulk responses. Batching is ideal for workflows that need to process hundreds or thousands of labels quickly.
Full API Reference//
- Get tote quantities
List totes
Create totes in batch
Get tote by ID
Update tote
Delete tote
Get tote quantities
ShipStation API v2 (2.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
Mock server
https://docs.shipstation.com/_mock/apis/openapi/
Production
https://api.shipstation.com/
- Mock serverhttps://docs.shipstation.com/_mock/apis/openapi/v2/totes
- Productionhttps://api.shipstation.com/v2/totes
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.shipstation.com/_mock/apis/openapi/v2/totes?inventory_warehouse_id=se-28529731' \
-H 'api-key: YOUR_API_KEY_HERE'Response
application/json
{ "totes": [ { … } ] }
Bodyapplication/jsonrequired
Array of totes to create
The warehouse where this tote will be created
Example: "se-28529731"
- Mock serverhttps://docs.shipstation.com/_mock/apis/openapi/v2/totes
- Productionhttps://api.shipstation.com/v2/totes
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.shipstation.com/_mock/apis/openapi/v2/totes \
-H 'Content-Type: application/json' \
-H 'api-key: YOUR_API_KEY_HERE' \
-d '{
"totes": [
{
"inventory_warehouse_id": "se-789012",
"tote_name": "Tote-B5",
"tote_barcode": "TOTE789012"
}
],
"return_succeeded_totes": false
}'Response
application/json
{ "succeeded_totes": [ { … } ], "failed_totes": [ { … } ] }
- Mock serverhttps://docs.shipstation.com/_mock/apis/openapi/v2/totes/quantities
- Productionhttps://api.shipstation.com/v2/totes/quantities
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://docs.shipstation.com/_mock/apis/openapi/v2/totes/quantities \
-H 'api-key: YOUR_API_KEY_HERE'Response
application/json
{ "quantities": [ { … } ] }
- Mock serverhttps://docs.shipstation.com/_mock/apis/openapi/v2/totes/{tote_id}
- Productionhttps://api.shipstation.com/v2/totes/{tote_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://docs.shipstation.com/_mock/apis/openapi/v2/totes/se-28529731 \
-H 'api-key: YOUR_API_KEY_HERE'Response
application/json
{ "tote_id": "se-123456", "inventory_warehouse_id": "se-789012", "tote_name": "Tote-A1", "tote_barcode": "TOTE123456", "created_at": "2024-01-15T10:30:00Z" }
- Mock serverhttps://docs.shipstation.com/_mock/apis/openapi/v2/totes/{tote_id}
- Productionhttps://api.shipstation.com/v2/totes/{tote_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://docs.shipstation.com/_mock/apis/openapi/v2/totes/se-28529731 \
-H 'Content-Type: application/json' \
-H 'api-key: YOUR_API_KEY_HERE' \
-d '{
"inventory_warehouse_id": "se-789012",
"tote_name": "Tote-B5-Updated",
"tote_barcode": "TOTE789012-NEW"
}'Response
No response example- Mock serverhttps://docs.shipstation.com/_mock/apis/openapi/v2/totes/{tote_id}
- Productionhttps://api.shipstation.com/v2/totes/{tote_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
https://docs.shipstation.com/_mock/apis/openapi/v2/totes/se-28529731 \
-H 'api-key: YOUR_API_KEY_HERE'Response
No response exampleWebhooks
Webhooks are a powerful feature that can save you from sending repeated polling requests to check on the state of something. With webhooks, ShipStation will automatically contact your servers when the stage changes. This can include parcel tracking events, notification when a batch operation completes, and more.
Operations